Subject: Re: bug#58459: Getting a fresh emacs session with no customisation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Oct 2022 22:13:27 +0300

> From: Christopher Dimech <[email-masked]>
> Cc: uzibalqa <[email-masked]>, [email-masked], [email-masked],
>  [email-masked], [email-masked]
> Date: Thu, 13 Oct 2022 18:36:43 +0200
> 
> > And X resources are as much user settings as what the user sets on the
> > init files.  So Emacs cannot but obey them.  It is user's
> > responsibility to set up his/her settings according to his/her
> > preferences.
> 
> The user makes a good point.  When a user want emacs to obey x-resources,
> the user specify the  x-resources in their init file.  Rather than obey them
> when a user did not specifically ask for that to happen.

That's not how X applications work, and that's not how Emacs has
worked since day one on X.

So please stop arguing, this is not going to change.